%  wavegram.m
%  produces a sonogram 


Nfft=128
window=ones(Nfft,1);
Nover=64
[gram,F,T]=spectgr(wave,Nfft,Fs,window,Nover);
maggram=abs(gram);
subplot(2,1,1)
plot(wave)
subplot(2,1,2)
imagesc(T,F,maggram),title('wave'),xlabel('Time'), ylabel('Frequency')

